package org.springblade.dataextraction.service;

import java.util.List;

import org.springblade.dataextraction.enity.EtlProvinceArea;
import org.springblade.dataextraction.mapper.EtlProvinceAreaMapper;
import org.springframework.stereotype.Service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Desc
 * @Author William
 * @DateTime 2022 下午4:32:45
 */
@DS("slave")
@Service
public class EtlProvinceAreaService extends ServiceImpl<EtlProvinceAreaMapper, EtlProvinceArea> {
	public List<String> provinces(){
		return baseMapper.provinces();
	}
	
	public List<String> citys(String province){
		return baseMapper.citys(province);
	}
}
